/* Distributed Checksum Clearinghouse
 *
 * stubs for threaded functions for sending messages through external filter
 *	for non-threaded DCC clients
 *
 * Copyright (c) 2005 by Rhyolite Software, LLC
 *
 * This agreement is not applicable to any entity which sells anti-spam
 * solutions to others or provides an anti-spam solution as part of a
 * security solution sold to other entities, or to a private network
 * which employs the DCC or uses data provided by operation of the DCC
 * but does not provide corresponding data to other users.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * Parties not eligible to receive a license under this agreement can
 * obtain a commercial license to use DCC and permission to use
 * U.S. Patent 6,330,590 by contacting Commtouch at http://www.commtouch.com/
 * or by email to nospam@commtouch.com.
 *
 * A commercial license would be for Distributed Checksum and Reputation
 * Clearinghouse software.  That software includes additional features.  This
 * free license for Distributed ChecksumClearinghouse Software does not in any
 * way grant permision to use Distributed Checksum and Reputation Clearinghouse
 * software
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE, LLC DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE, LLC
 * BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
 * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 *
 * Rhyolite Software DCC 1.3.42-1.8 $Revision$
 */

#include "helper.h"

#if 1	    /* turn off to see what undefined symbol is pulling this in */

int xfltr_threads = 0;

int xfltr_debug;

const char *xfltr_parm;


u_char
xfltr_new_thread(u_char first_thread UATTRIB)
{
	dcc_error_msg("stub xfltr_new_thread() called."
		      "  Does external filter lack required hooks?");
	return 1;
}



void NRATTRIB
xfltr_old_thread(u_char last_thread UATTRIB)
{
	exit(0);
}



u_char
xfltr_thread_create(const char *type_str UATTRIB, void *arg UATTRIB)
{
	return 1;
}



u_char					/* 1=try to send the response */
xfltr_work(const XFLTR_REQ *req UATTRIB,
	   XFLTR_RESP *resp UATTRIB)
{
	return 1;
}

#endif
